# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapNodeOfDataMapOfIntegerBoolean Class Reference

`#include <MeshVS_DataMapNodeOfDataMapOfIntegerBoolean.hxx>`

## Public Member Functions

| MeshVS_DataMapNodeOfDataMapOfIntegerBoolean (const Standard_Integer &K, const Standard_Boolean &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Standard_Boolean & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Standard_Boolean | myValue

## Constructor & Destructor Documentation

MeshVS_DataMapNodeOfDataMapOfIntegerBoolean::MeshVS_DataMapNodeOfDataMapOfIntegerBoolean | ( | const Standard_Integer & | K,
|  | const Standard_Boolean & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MeshVS_DataMapNodeOfDataMapOfIntegerBoolean::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& MeshVS_DataMapNodeOfDataMapOfIntegerBoolean::Key | ( |  | ) | const

Standard_Boolean& MeshVS_DataMapNodeOfDataMapOfIntegerBoolean::Value | ( |  | ) | const

## Field Documentation

Standard_Integer MeshVS_DataMapNodeOfDataMapOfIntegerBoolean::myKey `[private]`

Standard_Boolean MeshVS_DataMapNodeOfDataMapOfIntegerBoolean::myValue `[private]`

The documentation for this class was generated from the following file:

- MeshVS_DataMapNodeOfDataMapOfIntegerBoolean.hxx